package fractal;

import jm.constants.Dynamics;
import jm.music.data.Note;
import jm.music.data.Phrase;

public class Construtor extends Phrase {

	private static final long serialVersionUID = 1L;

	public Construtor() {
		super(0.0);
	}
	
	public void adicionarNota(Note nota){
		add(nota);
	}
	
	public void adicionarNota(int pitch, double valorRitmico, double duracao){
		Note nota = new Note(pitch, valorRitmico, Dynamics.FORTE, Note.DEFAULT_PAN);
		nota.setDuration(duracao);
		add(nota);
	}
	
	
}
